define([ 'durandal/app', 'durandal/system', 'knockout', 'services/datacontext', 'services/logger'], function (app, system, ko, dataservice, logger) {
    return {
        healths: ko.observableArray([]),
        activeDisease: ko.observable(null),
        refresh: function(){
            dataservice.getHealthPartials(this.healths, true);
        },

        activate: function(){
            dataservice.getHealthPartials(this.healths);
        }
    };

});